<template lang='pug'>
BaseDialog.x-add-dialog(ref='dialog' title='Add Material')
  .row.b-param-container
    BaseParamList.col-12(ref='type' :inEdit='true' title='Type')
      template(v-slot:options='')
        option(value='sample') sample
        option(value='filter') filter
        option(value='source') source
    BaseParamInput.col-12.col-lg-8(ref='title' :inEdit='true' title='Title')
    BaseParamInput.col-12.col-lg-4(ref='compound' title='Element / Compound' :inEdit='true')
    BaseParamInput.col-12.col-sm-6.col-lg-4(ref='massNumber' type='number' step='1'
      title='Mass Number' :inEdit='true')
    BaseParamInput.col-12.col-sm-6.col-lg-4(ref='atomicNumber' type='number' step='1'
      title='Atomic Number' :inEdit='true')
  template(v-slot:footer='d')
    button.mr-1.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary(@click='d.resolve(true)') Ok
</template>
<script>

export { default } from './AddMaterialDialog.vue.js';

</script>
